# ezQuake Manual: Texture Settings Variables

## d_mipcap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | High texture detail.
1 | Medium texture detail.
2 | Low texture detail.
3 | Minimum texture detail.

## d_mipscale

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Full object detail
1 | Some object detail
2 | Medium object detail
3 | Low object detail

## d_subdiv16

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Perspective correction only every 16 pixels (faster, less accurate).
0 | Precise texture mapping (slower, more accurate).

## gl_anisotropy

### Description

Anisotropic filtering. Basically improved texture quality.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.
0 and 1 means turned off, 16 is usually the highest quality

Depends on your Graphics card capabilities and settings. Make sure you have enabled "Application controled" in your Graphics card settings for Anisotropic filtering option.

## gl_externalTextures_bmodels

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable
0 | Disable loading of external 24bit textures for

non-world .bsp models (any .bsp that isn't the actual map. Ex. health and ammo boxes).

## gl_externalTextures_world

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable.
0 | Disable loading of external 24bit textures for the

world .bsp model (i.e. the actual map).

## gl_ext_texture_compression

### Description

Enable reducing memory held by textures on cards that support it (but textures loaded slower and may have less quality).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enabled
0 | Disabled

## gl_lerpimages

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Better texture quality.
0 | Faster loading maps (not more fps).

## gl_lumaTextures

### Description

Turns using of luma textures (named *_luma) ON when set to 1 and allowed by server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_max_size

### Description

This variable determines the detail level for loaded textures. When set to "1", the objects and walls will be textured with 1x1 pixel textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2048

Variable is float.

## gl_miptexLevel

### Description

It is essentially a GL 'equivalent' to d_mipcap in software. It has no affect when loading external 24bit textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_no24bit

### Description

Disables support of alternate 24bit textures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Allow custom textures
0 | Do not use alternate 24 bit textures

## gl_picmip

### Description

This variable determines the the level of detail for textures used on walls. You can use this variable to lower the texture detail used on walls thus increasing the game's performance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Original size.
1 | Half the dimensions.
2 | One-fourth the dimensions.

X = etc..

## gl_playermip

### Description

Determines the level of detail of player models. This variable is useful if you are experience game slowdown during multiplayer games when there are lots of players on your screen by shrinking the texture detail, but this will make the player models more blurry.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Full detail.
1 | Medium detail.
2 | Low detail.

X = etc.

## gl_scaleModelTextures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable
0 | Disable scale model textures.

## gl_scaleTurbTextures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable.
0 | Disable gl_picmip/gl_max_size/gl_miptexLevel affect turb textures (lava, water, slime, teleports).

## gl_subdivide_size

### Description

This variable sets the division value for the sky brushes. The higher the value the better the performance, but the smoothness of the sky suffers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

## gl_textureless

### Description

True textureless map textures, but preserving original colors. For custom colors - look for r_drawflat.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Textureless world
0 | Normal textures

The beauty of this is that u can toggle in realtime for any map. Same as with r_drawflat.

## gl_texturemode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: GL_LINEAR_MIPMAP_NEAREST

### Values

value | description
GL_NEAREST | Point sampled (software-like). Lowest quality, highest performance.
GL_NEAREST_MIPMAP_NEAREST | GL_NEAREST but with a bit more quality for far objects.
GL_NEAREST_MIPMAP_LINEAR | GL_NEAREST but with even more quality for far objects.
GL_LINEAR | No blending.
GL_LINEAR_MIPMAP_NEAREST | Bilinear interpolation.
GL_LINEAR_MIPMAP_LINEAR | Trilinear interpolation. Highest quality, lowest performance.

GL_NEAREST* modes are often used with gl_miptexlevel 3

## r_drawflat

### Description

Disables textures and walls and floors them with a solid color (/r_wallcolor or /r_floorcolor) depending on the angle.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Use a solid color for walls and floors
0 | Use textures for walls and floors.

Usually used for performance improvements at the expense of eyecandy. See r_wallcolor and r_floorcolor.

## r_floorcolor

### Description

Changes color of floors and ceilings when r_drawflat is set to 1. Enter RGB value here, e.g. r_floorcolor "128 128 128" goes for gray floor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 50 100 150

Variable is float.

## r_max_size_1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Off.
1 | Blend map textures.
2 | Blend map textures and bsp entities (ammo, health etc.)

## r_wallcolor

### Description

Changes color of walls when r_drawflat is set to 1. Enter RGB value here, e.g. r_wallcolor "128 128 128" goes for gray walls.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255

Variable is float.

## skin_browser_democolor

### Description

Color of the demo entries in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255 255

Variable is string.

## skin_browser_dircolor

### Description

Color of the dir entries in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 170 80 0 255

Variable is string.

## skin_browser_interline

### Description

Size of the space between entries in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## skin_browser_scrollnames

### Description

Toggle scrolling of the filenames in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## skin_browser_selectedcolor

### Description

Color of the selected entries in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 150 235 255

Variable is string.

## skin_browser_showdate

### Description

Toggle the date column in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## skin_browser_showsize

### Description

Toggle the file size column in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## skin_browser_showstatus

### Description

Toggle the display of the status bar in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## skin_browser_showtime

### Description

Toggle the time column in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## skin_browser_sortmode

### Description

Sorting mode in the skin browser. Each number represents one column. Their order represents the priority of the sorting.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is string.

## skin_browser_stripnames

### Description

Toggle stripping of the filenames in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## skin_browser_zipcolor

### Description

Color of the zip entries in the skin browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 170 0 255

Variable is string.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs